import { Container } from '@pixi/display';
import { Quaternion } from "./transform/quaternion";
import { Transform3D } from "./transform/transform";
import { Point3D } from "./transform/point";
/**
 * A container represents a collection of 3D objects.
 */
export declare class Container3D extends Container {
    transform: Transform3D;
    set position(value: Point3D);
    get position(): Point3D;
    set scale(value: Point3D);
    get scale(): Point3D;
    set rotationQuaternion(value: Quaternion);
    /** The quaternion rotation of the object. */
    get rotationQuaternion(): Quaternion;
    /** The position of the object on the z axis relative to the local
     * coordinates of the parent. */
    get z(): number;
    set z(value: number);
    get localTransform(): import(".").Matrix4x4;
    get worldTransform(): import(".").Matrix4x4;
}
